summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRosangela Canino-Koning2015-11-16 18:06:17 -0500
committerRosangela Canino-Koning2015-11-16 18:06:17 -0500
commitfd585808779ee51db5d0dc2d2585500f47e5ff4c (patch)
tree5635ebee5d2956979a1acbd17ae303692d0b9b78
downloadaur-fd585808779ee51db5d0dc2d2585500f47e5ff4c.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD30
-rw-r--r--brother-mfc-9340cdw.install12
3 files changed, 63 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..8e48f7519c3
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = brother-mfc-9340cdw
+ pkgdesc = LPR and CUPS driver for the Brother MFC-9340CDW
+ pkgver = 1.1.2
+ pkgrel = 1
+ url = http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html
+ install = brother-mfc-9340cdw.install
+ arch = i686
+ arch = x86_64
+ license = unknown
+ depends = tcsh
+ depends = deb2targz
+ depends = perl
+ depends = a2ps
+ depends = lib32-libcups
+ source = http://www.brother.com/pub/bsc/linux/dlf/mfc9340cdwlpr-1.1.2-1.i386.deb
+ source = http://www.brother.com/pub/bsc/linux/dlf/mfc9340cdwcupswrapper-1.1.2-1.i386.deb
+ sha256sums = 0591020f391dd904680e2a3beb9664e404cac144d5848f7091c9246b44bc8dfe
+ sha256sums = 365ea68d8967ddb567372462e4d5293bdbbf1a0c68a92e37f2241519442c05dd
+
+pkgname = brother-mfc-9340cdw
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1c05a0a066e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+model="9340cdw"
+pkgname="brother-mfc-$model"
+pkgver="1.1.2"
+pkgrel=1
+_revision=1
+pkgdesc="LPR and CUPS driver for the Brother MFC-9340CDW"
+url="http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html"
+arch=('i686' 'x86_64')
+license='unknown'
+install="brother-mfc-${model}.install"
+depends=('tcsh' 'deb2targz' 'perl' 'a2ps' 'lib32-libcups')
+source=("http://www.brother.com/pub/bsc/linux/dlf/mfc${model}lpr-${pkgver}-${_revision}.i386.deb"
+ "http://www.brother.com/pub/bsc/linux/dlf/mfc${model}cupswrapper-${pkgver}-${_revision}.i386.deb")
+sha256sums=('0591020f391dd904680e2a3beb9664e404cac144d5848f7091c9246b44bc8dfe'
+ '365ea68d8967ddb567372462e4d5293bdbbf1a0c68a92e37f2241519442c05dd')
+
+
+package() {
+ deb2targz *.deb >/dev/null || return 1
+ rm -f *.deb || return 1
+ cd $srcdir || return 1
+ [ -d "mfc${model}" ] || (mkdir mfc${model} || return 1)
+ for i in *.tar.gz;do tar xfz $i -C mfc${model};done || return 1
+ cd mfc${model} || return 1
+ cd opt/brother/Printers/mfc${model} || return 1
+ perl -i -pe 's#/etc/init.d#/etc/rc.d#g' ./cupswrapper/cupswrappermfc${model} || return 1
+ perl -i -pe 's#printcap\.local#printcap#g' $srcdir/mfc${model}/opt/brother/Printers/mfc${model}/inf/setupPrintcapij || return 1
+ cp -rf $srcdir/mfc${model}/usr/ $pkgdir/ || return 1
+ cp -rf $srcdir/mfc${model}/opt/ $pkgdir/ || return 1
+}
diff --git a/brother-mfc-9340cdw.install b/brother-mfc-9340cdw.install
new file mode 100644
index 00000000000..e9578ed3ca0
--- /dev/null
+++ b/brother-mfc-9340cdw.install
@@ -0,0 +1,12 @@
+post_install() {
+ post_upgrade;
+}
+
+post_upgrade() {
+ /opt/brother/Printers/mfc9340cdw/cupswrapper/cupswrappermfc9340cdw >/dev/null
+ if [ "$?" -eq 0 ]; then
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Done. The printer should be visible now via the CUPS-webinterface (http://localhost:631)\n"
+ else
+ printf "\033[1m\032[32m\x3d\x3d\x3e\033\1330m Something went wrong...\n"
+ fi
+}